
QGIS Application - Bug report #1149

right clicking on attribute table of point file seg faults

2008-07-11 04:30 AM - arkygeek -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11209

Description

when selectin multiple features from a postgis layer and right clicking to save to shapefile, immediate seg fault.

arkygeek@arkygeek-desktop:~/apps/qgis/bin$ ./qgis

Debug:

**********************************

Debug: [[QgsApplication]] state:

Debug: Prefix       :/home/arkygeek/apps/qgis

Debug: Plugin Path  :/home/arkygeek/apps/qgis/lib/qgis

Debug: [[PkgData]] Path :/home/arkygeek/apps/qgis/share/qgis

Debug: Theme Path   :/home/arkygeek/apps/qgis/share/qgis/themes/default/

Debug: User DB Path :/home/arkygeek/apps/qgis/share/qgis/resources/qgis.db

Debug: **********************************

Warning: No valid projection. Unable to set map units.

Warning: No valid projection. Unable to set map units.

Warning: No valid projection. Unable to set map units.

Warning: No valid projection. Unable to set map units.

Warning: No valid projection. Unable to set map units.

Warning: No valid projection. Unable to set map units.

Warning: No valid projection. Unable to set map units.

Warning: No valid projection. Unable to set map units.

Debug:

**********************************

Debug: [[QgsApplication]] state:

Debug: Prefix       :/home/arkygeek/apps/qgis

Debug: Plugin Path  :/home/arkygeek/apps/qgis/lib/qgis

Debug: [[PkgData]] Path :/home/arkygeek/apps/qgis/share/qgis

Debug: Theme Path   :/home/arkygeek/apps/qgis/share/qgis/themes/default/

Debug: User DB Path :/home/arkygeek/apps/qgis/share/qgis/resources/qgis.db

Debug: **********************************

Loaded /home/arkygeek/apps/qgis/lib/qgis/libcopyrightlabelplugin.so

Loaded /home/arkygeek/apps/qgis/lib/qgis/libdelimitedtextplugin.so

Loaded /home/arkygeek/apps/qgis/lib/qgis/libdelimitedtextprovider.so

Loaded /home/arkygeek/apps/qgis/lib/qgis/libgeorefplugin.so

Loaded /home/arkygeek/apps/qgis/lib/qgis/libgpsimporterplugin.so

Loaded /home/arkygeek/apps/qgis/lib/qgis/libgpxprovider.so

Loaded /home/arkygeek/apps/qgis/lib/qgis/libgrassplugin.so

Loaded /home/arkygeek/apps/qgis/lib/qgis/libgrassprovider.so
Loaded /home/arkygeek/apps/qgis/lib/qgis/libgridmakerplugin.so

Loaded /home/arkygeek/apps/qgis/lib/qgis/libmemoryprovider.so

Loaded /home/arkygeek/apps/qgis/lib/qgis/libnortharrowplugin.so

Loaded /home/arkygeek/apps/qgis/lib/qgis/libogrprovider.so

Loaded /home/arkygeek/apps/qgis/lib/qgis/libpggeoprocessingplugin.so

Loaded /home/arkygeek/apps/qgis/lib/qgis/libpostgresprovider.so

Loaded /home/arkygeek/apps/qgis/lib/qgis/libquickprintplugin.so

Loaded /home/arkygeek/apps/qgis/lib/qgis/libscalebarplugin.so

Loaded /home/arkygeek/apps/qgis/lib/qgis/libspitplugin.so

Loaded /home/arkygeek/apps/qgis/lib/qgis/libwfsplugin.so

Loaded /home/arkygeek/apps/qgis/lib/qgis/libwfsprovider.so

Loaded /home/arkygeek/apps/qgis/lib/qgis/libwmsprovider.so

Debug: current properties:

Debug: name: properties

Debug:  key: <GRASS>  subkey: <GRASS>

Debug:          name: GRASS

Debug:                  key: <WorkingLocation>  value: shuna

Debug:                  key: <WorkingGisdbase>  value: /home/arkygeek/GRASSDATA

Debug:                  key: <WorkingMapset>  value: shuna

Debug:  key: <Gui>  subkey: <Gui>

Debug:          name: Gui

Debug:                  key: <SelectionColorBluePart>  value: 0

Debug:                  key: <CanvasColorGreenPart>  value: 255

Debug:                  key: <CanvasColorRedPart>  value: 255

Debug:                  key: <SelectionColorRedPart>  value: 255

Debug:                  key: <SelectionColorGreenPart>  value: 255

Debug:                  key: <CanvasColorBluePart>  value: 255

Debug:  key: <PositionPrecision>  subkey: <PositionPrecision>

Debug:          name: [[PositionPrecision]]

Debug:                  key: <DecimalPlaces>  value: 2

Debug:                  key: <Automatic>  value: true

Debug: /home/arkygeek/devel/qgis_unstable/src/core/qgsproject.cpp : 558  unable to find title element

Warning: QFSFileEngine::open: No file name specified

Warning: No valid projection. Unable to set map units.

Warning: No valid projection. Unable to set map units.

Warning: QFSFileEngine::open: No file name specified

Warning: No valid projection. Unable to set map units.

Warning: No valid projection. Unable to set map units.

--accepting rule at line 79 ("siteno")

--accepting rule at line 61 ("=")

--accepting rule at line 75 ("2221001")

--accepting rule at line 81 (" ")

--accepting rule at line 59 ("OR")

--accepting rule at line 81 (" ")

--accepting rule at line 79 ("siteno")

--accepting rule at line 61 ("=")

--accepting rule at line 75 ("2020012")

--accepting rule at line 81 (" ")

--accepting rule at line 59 ("OR")

--accepting rule at line 81 (" ")

--accepting rule at line 79 ("siteno")
--accepting rule at line 61 ("=")

--accepting rule at line 75 ("2221017")

--accepting rule at line 81 (" ")

--accepting rule at line 59 ("OR")

--accepting rule at line 81 (" ")

--accepting rule at line 79 ("siteno")

--accepting rule at line 61 ("=")

--accepting rule at line 75 ("2323009")

--accepting rule at line 81 (" ")

--accepting rule at line 59 ("OR")

--accepting rule at line 81 (" ")

--accepting rule at line 79 ("siteno")

--accepting rule at line 61 ("=")

--accepting rule at line 75 ("2021030")

--accepting rule at line 81 (" ")

--accepting rule at line 59 ("OR")

--accepting rule at line 81 (" ")

--accepting rule at line 79 ("siteno")

--accepting rule at line 61 ("=")

--accepting rule at line 75 ("2121065")

--accepting rule at line 81 (" ")

--accepting rule at line 59 ("OR")

--accepting rule at line 81 (" ")

--accepting rule at line 79 ("siteno")

--accepting rule at line 61 ("=")

--accepting rule at line 75 ("2120049")

--accepting rule at line 81 (" ")

--accepting rule at line 59 ("OR")

--accepting rule at line 81 (" ")

--accepting rule at line 79 ("siteno")

--accepting rule at line 61 ("=")

--accepting rule at line 75 ("2321002")

--accepting rule at line 81 (" ")

--accepting rule at line 59 ("OR")

--accepting rule at line 81 (" ")

--accepting rule at line 79 ("siteno")

--accepting rule at line 61 ("=")

--accepting rule at line 75 ("2021039")

--accepting rule at line 81 (" ")

--accepting rule at line 59 ("OR")

--accepting rule at line 81 (" ")

--accepting rule at line 79 ("siteno")

--accepting rule at line 61 ("=")

--accepting rule at line 75 ("2321003")

--accepting rule at line 81 (" ")

--accepting rule at line 59 ("OR")

--accepting rule at line 81 (" ")

--accepting rule at line 79 ("siteno")

--accepting rule at line 61 ("=")

--(end of buffer or a NUL)

--accepting rule at line 75 ("2021013")

--(end of buffer or a NUL)

--EOF (start condition 0)
Segmentation fault

History

#1 - 2008-07-11 08:18 AM - Jürgen Fischer

Any more information about the data you're exporting?  I can export selected features to shapes just fine.  Can you produce a backtrace?

#2 - 2008-07-11 08:44 AM - arkygeek -

yeah, sorry about the vague nature of the ticket... I was in a bit of a hurry

I have a table in a postgis layer containing about 10,000 records.  I selected 11 of them, and showed only the selected records.  then I tried right clicking on

them.  seg fault

I will try to get a backtrace for you

#3 - 2008-07-11 10:05 AM - arkygeek -

(gdb) bt

#0  0x0812230f in ?? ()

#3905  0x0812a863 in ?? ()

#3906  0xb759a9b0 in QWidget::event () from /usr/lib/libQtGui.so.4

#3907  0xb78cf063 in QFrame::event () from /usr/lib/libQtGui.so.4

#3908  0xb7962c0f in QAbstractScrollArea::viewportEvent () from /usr/lib/libQtGui.so.4

#3909  0xb7a0bd38 in QAbstractItemView::viewportEvent () from /usr/lib/libQtGui.so.4

#3910  0xb7963f95 in ?? () from /usr/lib/libQtGui.so.4

#3911  0xb7e72a21 in QCoreApplicationPrivate::sendThroughObjectEventFilters () from /usr/lib/libQtCore.so.4

#3912  0xb7542be3 in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4

#3913  0xb754800e in QApplication::notify () from /usr/lib/libQtGui.so.4

#10 0xb7e726a9 in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4

#3914 0xb75af448 in ?? () from /usr/lib/libQtGui.so.4

#3915 0xb75ad6b1 in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4

#3916 0xb75d63ba in ?? () from /usr/lib/libQtGui.so.4

#3917 0xb65dabf8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0

#3918 0xb65dde5e in ?? () from /usr/lib/libglib-2.0.so.0

#3919 0xb65de3ac in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0

#3920 0xb7e9df98 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4

#3921 0xb75d61b5 in ?? () from /usr/lib/libQtGui.so.4

#3922 0xb7e7192d in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4

#3923 0xb7e71abd in QEventLoop::exec () from /usr/lib/libQtCore.so.4

#3924 0xb7e73d3d in QCoreApplication::exec () from /usr/lib/libQtCore.so.4

#3925 0xb7542567 in QApplication::exec () from /usr/lib/libQtGui.so.4

---Type <return> to continue, or q <return> to quit---

#3926 0x080ecd28 in ?? ()

#3927 0xb66b7450 in +libc_start_main () from /lib/tls/i686/cmov/libc.so.6

#3928 0x080ea971 in ?? ()

(gdb)

#4 - 2008-07-11 10:55 AM - Tim Sutton
- Resolution set to fixed

- Status changed from Open to Closed

Fix with commit:30c9aa03 (SVN r8755).. At times the current row can be returned as -1 which will cause a crash if you try to fetch its display role. The fix

checks for invalid row numbers and skips fetching data for them if this is the case. May result in edge cases where user clicks and attribute actions are not

invoked.

#5 - 2009-08-22 12:56 AM - Anonymous

Milestone Version 0.11.0 deleted
